<?php  

$wp_customize->add_section(
    'dinero_team_section',
    array(
        'title' => __( 'Team Members', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel1',
        'priority' =>26
    )
);

$wp_customize->add_setting('dinero_reset_team_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_team_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Team Section Settings', 'dinero'),
  'description' => 'dinero_team_reset_settings',
  'section' => 'dinero_team_section'
)));

$wp_customize->add_setting( 'dinero_team_enable',array(
    'default' => true,
    'sanitize_callback' => 'dinero_switch_sanitization'
) );
$wp_customize->add_control( new Dinero_Toggle_Switch_Custom_Control( $wp_customize, 'dinero_team_enable',array(
    'label' => __( 'Disable Section','dinero' ),
    'section' => 'dinero_team_section'
)));


$wp_customize->add_setting(
    'dinero_team_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR TEAM', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_team_maintitle',
    array(
        'settings'      => 'dinero_team_maintitle',
        'section'       => 'dinero_team_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting('dinero_team_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_team_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','dinero'),
        'choices' => array (
            'No' => __('No','dinero'),
            'Yes' => __('Yes','dinero')        
        ),
        'section' => 'dinero_team_section'
    ));
 $wp_customize->add_setting(
        'dinero_team_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'dinero_team_head_icon',
            array(
                'section'       => 'dinero_team_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
                'active_callback' => 'dinero_team_type_icon'
            )
        )
    );

$wp_customize->add_setting(
    'dinero_team_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'What We Provide To You', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'dinero_team_subtitle',
    array(
        'settings'      => 'dinero_team_subtitle',
        'section'       => 'dinero_team_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);




    $wp_customize->add_setting('dinero_team_section_option',array(
     'default' => 'Luzuk Team Plugin',
     'sanitize_callback' => 'dinero_sanitize_choices'
    ));
    $wp_customize->add_control('dinero_team_section_option',array(
      'type' => 'select',
      'label' => __('Team Comes From Plugin','dinero'),
      'section' => 'dinero_team_section',
      'choices' => array(
         'Luzuk team Plugin' => __('Luzuk Team Plugin','dinero'),
         'Other Shortcode' => __('Other Shortcode','dinero')
      ),
    ));

    $wp_customize->add_setting('dinero_team_shortcode',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_team_shortcode',array(
    'type' => 'text',
    'label' => __('Add team other shortcode here','dinero'),
    'section' => 'dinero_team_section',
    'active_callback' => 'dinero_shortcode_team_enabled'
    ));

    $wp_customize->add_setting('dinero_team_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_team_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','dinero'),
        'choices' => array (
            'Box Width' => __('Box Width','dinero'),
            'Full Width' => __('Full Width','dinero')
        ),
        'section' => 'dinero_team_section',
    ));

    $wp_customize->add_setting('dinero_team_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_team_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','dinero'),
        'choices' => array (
            'Center' => __('Center','dinero'),
            'Left' => __('Left','dinero'),
            'Right' => __('Right','dinero')
        ),
        'section' => 'dinero_team_section',
    ));

    $wp_customize->add_setting('dinero_team_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('dinero_team_padding',array(
      'label' => __('Section Padding','dinero'),
      'section' => 'dinero_team_section'
   ));

    $wp_customize->add_setting('dinero_team_section_t_padding',array(
        'default' => '2.5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_team_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','dinero'),
    'section' => 'dinero_team_section',
    ));
     $wp_customize->add_setting('dinero_team_section_b_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_team_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','dinero'),
    'section' => 'dinero_team_section',
    ));

$wp_customize->add_setting('dinero_team_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_team_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','dinero'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','dinero'),
            'wow bounceInRight' => __('Bounce In Right','dinero'),
            'wow bounceInUp' => __('Bounce In Up','dinero'),
            'wow bounceInDown' => __('Bounce In Down','dinero'),
            'wow zoomIn' => __('Zoom In','dinero'),
            'wow zoomOut' => __('Zoom Out','dinero'),
            'wow fadeInDown' => __('Fade In Down','dinero'),            
            'wow fadeInUp' => __('Fade In Up','dinero'),
            'wow fadeInLeft' => __('Fade In Left','dinero'),
            'wow fadeInRight' => __('Fade In Right','dinero'),
            'flip-up' => __('Flip Up','dinero')
        ),
        'section' => 'dinero_team_section',
    ));


// backgroundManager($wp_customize, 'team', 'dinero_team_section', $color='#fdfdfd',get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'dinero_team_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'dinero_team_section_bg_color', array(
        'label' => __('Section Background Color','dinero'),
       'section' => 'dinero_team_section',
    )));

    $wp_customize->add_setting( 'dinero_team_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'dinero_team_section_bg_image', array(
        'label' => __('Section Background Image','dinero'),
       'section' => 'dinero_team_section',
    )));


     $wp_customize->add_setting('dinero_team_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'dinero_sanitize_float'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_team_image_opacity',array(
    'label' => __('Background Opacity','dinero'),
    'section' => 'dinero_team_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



addColorPalatOption($wp_customize, 'dinero_team_title_color1', 'dinero_team_section', 'Section Heading color 1 ', '');

addColorPalatOption($wp_customize, 'dinero_team_title_color2', 'dinero_team_section', 'Section Heading color 2 ', '');

addColorPalatOption($wp_customize, 'dinero_team_titleborder_color1', 'dinero_team_section', 'Section Heading border color 1 ', '');

addColorPalatOption($wp_customize, 'dinero_team_titleborder_color2', 'dinero_team_section', 'Section Heading border color 2 ', '');

addColorPalatOption($wp_customize, 'dinero_team_subtitle_color', 'dinero_team_section', 'Section Sub Heading color ', '');

 ?>